<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <xsl:template match="/">
     <html>
		<head>
			 <META http-equiv="content-type" CONTENT="text/html;charset=utf-8"/>
			<title>Invoices </title>
			<style type="text/css">
				body {
					font-family: "Lucida Grande", "Trebuchet MS", Verdana, sans-serif;
				}
				
				h1 {
					color: #333;
					font-size: 24px;
				}
				.total {
					text-align: right;
					font-weight: bold;
					background-color: #eee;
				}
				
				.row td {
					border-right: 1px solid #333;
					border-bottom: 1px solid #333;
					background-color: #f1f1f1;
				}
				
				.firstcol {
					border-left: 1px solid #333;
				}
				
				.header {
					font-weight: bold;
					text-align: center;
					background-color: #aaa;
				}
				.header td {
					border-top: 1px solid #333;
					border-right: 1px solid #333;
					border-bottom: 1px solid #333;
				}
				td  {
					padding: 1px 3px 1px 3px;
					font-size: 11px;
				}
				.totals {
					font-size: 13px;
				}
			</style>
		</head>
		
		<body>
			<h1>Listing Customers</h1>
			<span style="font-size: 12px; color: #333">
				Listing <xsl:value-of select="count(customers/customer)" /> customers 
			</span>
			
			<hr noshade="yes" style="border: 1px solid #ddd"/>
		<table border="0" cellspacing="0">
			<tr class="header" nowrap="yes">
				<td class="firstcol"></td>
				<td>Nr</td>
				<td>First name</td>
				<td>Last name</td>
				<td>Company</td>
				<td>Invoices</td>
				<td>Subtotal</td>
				<td>Tax</td>
				<td>Paid</td>
				<td>Open</td>
				<td>Total</td>
			</tr>
			<xsl:apply-templates select="customers/customer" />
		</table>
     </body></html>
  </xsl:template>

  <xsl:template match="customer">
	<tr class="row">
		<td class="firstcol">
			<xsl:value-of select="@tag" />
		</td>
		<td nowrap="yes">
			<xsl:value-of select="nr" />
		</td>
		<td nowrap="yes">
			<xsl:value-of select="first_name" />
		</td>
		<td nowrap="yes">
			<xsl:value-of select="last_name" />
		</td>
		<td nowrap="yes">
			<xsl:value-of select="company" />
		</td>
		<td nowrap="yes">
			<xsl:value-of select="invoices/count" />
		</td>
		<td nowrap="yes">
			<xsl:value-of select="invoices/subtotal" />
		</td>
		<td nowrap="yes">
			<xsl:value-of select="invoices/tax" />
		</td>
		<td nowrap="yes">
			<xsl:value-of select="invoices/paid" />
		</td>
		<td nowrap="yes">
			<xsl:value-of select="invoices/open_balance" />
		</td>
		<td class="total" nowrap="yes">
			<xsl:value-of select="invoices/total" />
		</td>
	</tr>
  </xsl:template>

</xsl:stylesheet>