<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <xsl:template match="/">
     <html>
		<head>
			 <META http-equiv="content-type" CONTENT="text/html;charset=utf-8"/>
			<title>Invoices </title>
			<style type="text/css">
				body {
					font-family: "Lucida Grande", "Trebuchet MS", Verdana, sans-serif;
				}
				
				h1 {
					color: #333;
					font-size: 24px;
				}
				.total {
					text-align: right;
					font-weight: bold;
					background-color: #eee;
				}
				
				.row td {
					border-right: 1px solid #333;
					border-bottom: 1px solid #333;
					background-color: #f1f1f1;
				}
				
				.firstcol {
					border-left: 1px solid #333;
				}
				
				.header {
					font-weight: bold;
					text-align: center;
					background-color: #aaa;
				}
				.header td {
					border-top: 1px solid #333;
					border-right: 1px solid #333;
					border-bottom: 1px solid #333;
				}
				td  {
					padding: 1px 3px 1px 3px;
					font-size: 11px;
				}
				.totals {
					font-size: 13px;
				}
			</style>
		</head>
		
		<body>
			<h1>Rechnungen</h1>
			<span style="font-size: 12px; color: #333">
				Liste <xsl:value-of select="count(invoices/invoice)" /> Rechnungen
				(<xsl:value-of select="invoices/from" /> - <xsl:value-of select="invoices/to" />)
			</span>
			
			<hr noshade="yes" style="border: 1px solid #ddd"/>
		<table border="0" cellspacing="0">
			<tr class="header" nowrap="yes">
				<td class="firstcol"></td>
				<td>Rech.nr</td>
				<td>Kunde</td>
				<td>Erstellt am</td>
				<td>Fällig am</td>
				<td>Zwischensumme</td>
				<td>Steuer</td>
				<td>Bezahlt</td>
				<td>Noch offen</td>
				<td>Gesamt</td>
			</tr>
			<xsl:apply-templates select="invoices/invoice" />
			<tr><td colspan="10" style="height: 15px;"></td></tr>
			<tr nowrap="yes">
				<td class="totals" colspan="9" align="right">Zwischensumme:</td>
				<td nowrap="yes" class="totals" align="right"><xsl:value-of select="invoices/subtotal"/></td>
			</tr>
			<tr class="totals" nowrap="yes">
				<td class="totals" colspan="9" align="right">Steuer:</td>
				<td nowrap="yes" class="totals" align="right"><xsl:value-of select="invoices/tax"/></td>
			</tr>
			<tr class="totals" nowrap="yes">
				<td class="totals" colspan="9" align="right">Bezahlt:</td>
				<td nowrap="yes" class="totals" align="right"><xsl:value-of select="invoices/paid"/></td>
			</tr>
			<tr class="totals" nowrap="yes">
				<td class="totals" colspan="9" align="right">Noch Offen:</td>
				<td nowrap="yes" class="totals" align="right"><xsl:value-of select="invoices/open_balance"/></td>
			</tr>
			<tr class="totals" nowrap="yes">
				<td class="totals" colspan="9" align="right">Gesamtsumme:</td>
				<td nowrap="yes" class="totals" align="right"><b><xsl:value-of select="invoices/total"/></b></td>
			</tr>
		</table>
     </body></html>
  </xsl:template>

  <xsl:template match="invoice">
	<tr class="row">
		<td class="firstcol">
			<xsl:value-of select="@tag" />
		</td>
		<td nowrap="yes">
			<xsl:value-of select="nr" />
		</td>
		<td nowrap="yes">
			<xsl:value-of select="customer" />
		</td>
		<td nowrap="yes">
			<xsl:value-of select="creation_date" />
		</td>
		<td nowrap="yes">
			<xsl:value-of select="due_date" />
		</td>
		<td nowrap="yes">
			<xsl:value-of select="subtotal" />
		</td>
		<td nowrap="yes">
			<xsl:value-of select="tax" />
		</td>
		<td nowrap="yes">
			<xsl:value-of select="paid" />
		</td>
		<td nowrap="yes">
			<xsl:value-of select="open_balance" />
		</td>
		<td class="total" nowrap="yes">
			<xsl:value-of select="total" />
		</td>
	</tr>
  </xsl:template>

</xsl:stylesheet>